Bug 147032 - /usr/bin/java has multiple problems
Summary: /usr/bin/java has multiple problems
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: java-1.4.2-gcj-compat   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Fitzsimmons
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-02-03 21:04 UTC by Ulrich Drepper
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-08 21:31:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch which at least works with eclipse (1.34 KB, patch)
2005-02-03 22:08 UTC, Ulrich Drepper
no flags Details | Diff

Description Ulrich Drepper 2005-02-03 21:04:00 UTC
Description of problem:
I assume the /usr/bin/java script comes from gcc (gij).  If not, reassign.

The script has multiple problems:
~ a /tmp/javaXXXXXX file is left behind
~ the script assumes /tmp is executable (which it shouldn't be)


Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1.have /tmp on a separate partition
2.mount with noexec
3.run /usr/bin/java
  
Actual results:
strange error message

Expected results:
running interpreter

Additional info:
I don't see any reason to use a file at all.  This should take care of both
problems.  Just construct one or more strings with all the parameters neded.

Comment 1 Ulrich Drepper 2005-02-03 22:08:31 UTC
Created attachment 110629 [details]
patch which at least works with eclipse

This patch make eclipse start up without creating a temporary file.  The
various sed commands added to enable the use of a separate command can go.  I
might have screwed up some quoting but I wouldn't think so.

Comment 2 Thomas Fitzsimmons 2005-02-08 21:31:00 UTC
Patch applied to java-1.4.2-gcj4-compat-1.4.2.0-4jpp_2rh.



Note You need to log in before you can comment on or make changes to this bug.